Subject: Re: bug#42002: 'guix pull' build processes get SIGKILL on ARMv7
From: Maxim Cournoyer <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked],Léon Lain Delysid <[email-masked]>, "Bonface M. K." <[email-masked]>
Date: Wed, 13 Jul 2022 23:23:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Efraim Flashner <[email-masked]> writes:

> On Tue, Jun 23, 2020 at 03:38:39AM +0300, Bonface M. K. wrote:
>> Léon Lain Delysid <[email-masked]> writes:
>> 
>> > Oh! Yes, of course, I see!
>> > Yes, those little credit card sized one-chip computers are very low on resources.
>> > So I think it shouldn't build the programs itself but rather
>> > download the binaries everytime I "guix pull". What command line
>> > option should I use to only download the binaries instead of
>> > building everything myself? Could you please give me the command?
>> >
>> You could try: `guix pull --substitute-urls="https://berlin.guixsd.org
>> https://ci.guix.gnu.org https://mirror.hydra.gnu.org"`. Since you are on
>> Debian, you should authorize the servers. More of the authorization
>> here:
>> https://guix.gnu.org/manual/en/html_node/Substitute-Server-Authorization.html.
>> You could always dry-run your commands to see if the substitutes work.
>
> Actually, berlin.guixsd.org and ci.guix.gnu.org are the same server, and
> mirror.hydra.gnu.org was decommissioned a while ago. The second server
> for substitutes is https://bayfront.guix.gnu.org.
>
> I think the best option would be to make sure you run 'guix pull'
> targeting a derivation which has substitutes. If you check here¹ you can
> see if there's a substitute already available for armhf-linux and run
> 'guix pull --commit=the-commit-listed-in-the-link'. Right now, that
> would be 42a2ee1f9294614bd85892f2cc7318afb80b174c, which is actually the
> latest commit.
>
> ¹ https://ci.guix.gnu.org/jobset/guix-modular-master

Indeed.  To help with this, you could wrap your main guix channel with
the `channel-with-substitutes-available'; see info '(guix) Channels with
Substitutes'.

Thanks,

Closing.

Maxim